%{?nodejs_find_provides_and_requires}

%global packagename liftoff
%global enable_tests 1

Name:		nodejs-liftoff
Version:	2.2.5
Release:	1%{?dist}
Summary:	Launch your command line tool with ease

License:	MIT
URL:		https://github.com/js-cli/js-liftoff.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(extend)
BuildRequires:	npm(findup-sync)
BuildRequires:	npm(flagged-respawn)
BuildRequires:	npm(rechoir)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(sinon)
%endif

%description
Launch your command line tool with ease.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -t 5000 -b -R spec test/index
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGELOG
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Jul 23 2016 Jared Smith <jsmith@fedoraproject.org> - 2.2.5-1
- Initial packaging
